<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\OrderDevice;
use Illuminate\Http\Request;

class OrderDeviceController extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new OrderDevice();
    }

    public function get(Request $request)
    {
        $items = $this->model->with('project', 'user')->where('inner_device_id', $request->input('id'))->orderBy('created_at', 'desc')->get();
        return $this->success(['data' => $items]);
    }
}
